'From Smalltalk/X, Version:2.10.5 on 30-apr-1995 at 1:46:18 am'!

Scroller subclass:#HorizontalScroller
	 instanceVariableNames:''
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Views-Interactors'
!

HorizontalScroller comment:'

COPYRIGHT (c) 1989 by Claus Gittinger
	      All Rights Reserved

the scroller part of a horizontal scrollbar

$Header: /cvs/stx/stx/libwidg/HorizontalScroller.st,v 1.8 1995-06-06 04:13:54 claus Exp $
written spring/summer 89 by claus
'!

!HorizontalScroller methodsFor:'initialization'!

initialize
    super initialize.
    orientation := #horizontal 
! !

!HorizontalScroller methodsFor:'accessing-behavior'!

scrollRightAction:aBlock
    "ignored -
     but implemented, so that scroller can be used in place of a scrollbar"
!

scrollLeftAction:aBlock
    "ignored -
     but implemented, so that scroller can be used in place of a scrollbar"
! !

!HorizontalScroller methodsFor:'queries'!

preferredExtent
    |w h|

    w := self class defaultExtent x.
    h := (device verticalPixelPerMillimeter asFloat * 6) rounded.
    ^ w @ h.
! !
