'From Smalltalk/X, Version:2.10.5 on 9-may-1995 at 12:01:39 pm'!

ValueHolder subclass:#SelectionInList
	 instanceVariableNames:'listHolder indexHolder'
	 classVariableNames:''
	 poolDictionaries:''
	 category:'Interface-Support-Models'
!

!SelectionInList class methodsFor:'instance creation'!

new
    ^ super new initialize
!

with:aList 
    ^ self new listHolder:(ValueHolder with:aList)
! !

!SelectionInList methodsFor:'initialization'!

initialize
    listHolder := ValueHolder new.
    indexHolder := ValueHolder new.
! !

!SelectionInList methodsFor:'accessing'!

list
    ^ listHolder value
!

listHolder:aValueHolder
    listHolder := aValueHolder
!

selectionIndex:newIndex 
    indexHolder isNil ifTrue:[
	indexHolder := ValueHolder new.
    ].
    indexHolder value:newIndex.
    self notifyChange:#selectionIndex.

!

index
    "OBSOLETE interface"

    ^ self selectionIndex
!

selectionIndex 
    ^ indexHolder value
!

selection:anObject 
    ^ self selectionIndex:(self list indexOf:anObject ifAbsent:0)

!

selection 
    |idx|

    idx := self selectionIndex.
    (idx isNil or:[idx == 0]) ifTrue:[^ nil].
    ^ self list at:idx
!

selectionIndexHolder
    ^ indexHolder
!

index:newIndex
    "OBSOLETE interface"

    ^ self selectionIndex:newIndex
!

list:aCollection
    listHolder isNil ifTrue:[
	listHolder := ValueHolder new.
    ].
    listHolder value:aCollection.
    indexHolder isNil ifTrue:[
	indexHolder := ValueHolder new.
    ].
    indexHolder value:0.
    self notifyChange:#list.
!

listHolder
    ^ listHolder
!

indexHolder
    ^ indexHolder
!

selectionIndexHolder:aValueHolder
    indexHolder := aValueHolder
!

indexHolder:aValueHolder
    indexHolder := aValueHolder
! !

